Assign Phone Number
curl --request PUT \
--url https://api.example.com/api/phone-numbers/{id}/assignimport requests
url = "https://api.example.com/api/phone-numbers/{id}/assign"
response = requests.put(url)
print(response.text)const options = {method: 'PUT'};
fetch('https://api.example.com/api/phone-numbers/{id}/assign', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Phone Numbers
Assign Phone Number
Assign a phone number to an agent
PUT
/
api
/
phone-numbers
/
{id}
/
assign
Assign Phone Number
Request
curl -X PUT "https://app.orova.ai/api/phone-numbers/PHONE_ID/assign" \
-H "x-api-key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"agentId": "AGENT_ID",
"assignmentType": "inbound"
}'
Path parameters
| Parameter | Type | Description |
|---|---|---|
id | string | Phone number ID |
Body parameters
| Field | Type | Required | Description |
|---|---|---|---|
agentId | string | Yes | Agent to assign to |
assignmentType | string | Yes | inbound or outbound |
Response
Returns the updated phone number object.Assignment types
- inbound — Calls to this number are answered by the agent
- outbound — This number is used as caller ID for outbound calls from the agent
Was this page helpful?
⌘I

